*****************************************
*...read input parameters from DAT file
*   15.12.99  V.Ilyin
*****************************************
      SUBROUTINE RINPAR
      COMMON/INPARM/IS,NEVPY,FIREVT,PROCESS,EVFILE
      INTEGER IS,NEVPY,FIREVT
      CHARACTER EVFILE*500,PROCESS*80,XXX*500,CMPRS*500
      SAVE

      OPEN (UNIT=22, ERR=3000, FILE='INPARM.DAT', STATUS='OLD')

      READ (UNIT=22, FMT='(A500)', ERR=1000) XXX
      READ (UNIT=22, FMT='(A500)', ERR=1000) XXX
      EVFILE = CMPRS(XXX)

      READ (UNIT=22, FMT='(A500)', ERR=1000) XXX
      READ (UNIT=22, FMT='(A500)', ERR=1000) XXX
      PROCESS = CMPRS(XXX)

      READ (UNIT=22, FMT='(A500)', ERR=1000) XXX
      READ (UNIT=22, FMT='(i10)', ERR=1000) NEVPY

      READ(UNIT=22,FMT='(A500)', ERR=1000) XXX
      READ(UNIT=22,FMT='(i10)', ERR=1000) FIREVT
      if (FIREVT.LT.1) then
        write(*,*)'***Warning! First event parameter in INPARM.DAT file'
	write(*,*)'    does not have to less than 1. So it is set to 1.'
	FIREVT=1
      endif

      CLOSE(UNIT=22)

*... input channel for unweighted events 
      IS = 44
      OPEN(IS,FILE=EVFILE,STATUS='OLD',ERR=3001)
      RETURN

 1000 WRITE(*,*)'Error: I can not read INPARM.DAT! Stop!'
      STOP

 3000 WRITE(*,*)'Error: I can not open INPARM.DAT! Stop!'
      STOP

 3001 WRITE(*,*)
     + 'Error: I can not open a file with events (',EVFILE,')! Stop!'
      STOP

      END
