*************************************************************************
*                          UPINIT routine                               *
*          for CompHEP 41.10  -  PYTHIA 6.2 interface                   *
*************************************************************************
*  25.11.2001         Ilyin V.A.                                        *
*************************************************************************

      SUBROUTINE UPINIT
      IMPLICIT DOUBLE PRECISION(A-H, O-Z)
      IMPLICIT INTEGER(I-N)
C...User process initialization commonblock.
      INTEGER MAXPUP
      PARAMETER (MAXPUP=100)
      INTEGER IDBMUP,PDFGUP,PDFSUP,IDWTUP,NPRUP,LPRUP
      DOUBLE PRECISION EBMUP,XSECUP,XERRUP,XMAXUP
      COMMON/HEPRUP/IDBMUP(2),EBMUP(2),PDFGUP(2),PDFSUP(2),
     &IDWTUP,NPRUP,XSECUP(MAXPUP),XERRUP(MAXPUP),XMAXUP(MAXPUP),
     &LPRUP(MAXPUP)
      SAVE /HEPRUP/
*...CompHEP-PYTHIA interface
      CHARACTER BEAM*16
      COMMON/BEAMS/SQRTS,RPDTY,KFB(2),BMASS(2),BEAM(2)
      COMMON/SUBPROC/NNUP(100),KFP(100,20),
     .               NEV(100),XM(100,20,3),SIGMA(100),NPROC

*...PDG codes for beams
      IDBMUP(1)=KFB(1)     
      IDBMUP(2)=KFB(2)     
*...energies of beams (in PYTHI beams are massless !)
      EBMUP(1) = SQRTS/2d0*(COSH(RPDTY)+SINH(RPDTY))
      EBMUP(2) = SQRTS/2d0*(COSH(RPDTY)-SINH(RPDTY))
*...PDFLIB group and set of the parton distributions
***     already done
*...events weighting
      IDWTUP = 3     !unweighted input
*...number of subprocesses in input
      NPRUP = nproc
*...cross section for each subprocess
      DO 100 i=1,NPRUP
       XSECUP(i) = SIGMA(i)
100   CONTINUE
*...statistcal error on the cross sections
      DO 110 i=1,NPRUP
       XERRUP(i) = 0.d0
110   CONTINUE
*...maximum event weight
      DO 120 i=1,NPRUP
       XMAXUP(i) = 1.d0
120   CONTINUE
*...unique integer identifier for each subprocess
      DO 130 i=1,NPRUP
       LPRUP(i) = i
130   CONTINUE

      RETURN
      END

